--- old/usr/src/cmd/zonecfg/zonecfg.c	Tue Apr 28 02:57:26 2020
+++ new/usr/src/cmd/zonecfg/zonecfg.c	Tue Apr 28 02:57:26 2020
@@ -6410,6 +6410,12 @@
 
 	if (save) {
 		if (ret_val == Z_OK) {
+			/*
+			 * If the zone doesn't yet have a debug ID, set one now.
+			 */
+			if (zonecfg_get_did(handle) == -1)
+				zonecfg_set_did(handle);
+
 			if ((ret_val = zonecfg_save(handle)) == Z_OK) {
 				need_to_commit = B_FALSE;
 				(void) strlcpy(revert_zone, zone,
